import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'index',
    component: () => import('../views/index.vue'),
    meta:{title: '荆门市红十字会 - 官网'}
  },
  {
    path: '/index',
    name: 'index',
    component: () => import('../views/index.vue'),
    meta:{title: '荆门市红十字会 - 官网'}
  },
  {
	path: '/content',
    name: 'content',
    component: () => import('../views/content.vue')
  },
  {
    path: '/contactUs',
    name: 'contactUs',
    component: () => import('../views/contactUs/contactUs.vue')
  },
  {
    path: '/partake',
    name: 'partake',
    component: () => import('../views/partake/partake.vue')
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('../views/news/news.vue')
  },
  {
    path: '/business',
    name: 'business',
    component: () => import('../views/business/business.vue')
  },
  {
    path: '/law',
    name: 'law',
    component: () => import('../views/law/law.vue')
  },
  {
    path: '/introduce',
    name: 'introduce',
    component: () => import('../views/introduce/introduce.vue')
  },
  {
    path: '/contribution',
    name: 'contribution',
    component: () => import('../views/contribution.vue')
  },
  {
    path: '/volunteer',
    name: 'volunteer',
    component: () => import('../views/volunteer.vue')
  },
  {
    path: '/searchList',
    name: 'searchList',
    component: () => import('../views/searchList.vue')
  },
  {
    path: '/details',
    name: 'details',
    component: () => import('../views/details.vue')
  },
  {
    path: '/vList',
    name: 'vList',
    component: () => import('../views/vList.vue')
  },
  
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
